rules:
  # Bronze
  action-setup:
    status: exempt
    comment: Integration doesn't provide any service actions.
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow: done
  config-flow-test-coverage: done
  dependency-transparency: done
  docs-actions:
    status: exempt
    comment: Integration doesn't provide any service actions.
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: done
    comment: Handled by coordinator.
  entity-unique-id:
    status: done
    comment: Using confid entry ID as the dependency pydactyl doesn't provide a unique information.
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup:
    status: done
    comment: |
      Raising ConfigEntryNotReady, if the initialization isn't successful.
  unique-config-entry:
    status: done
    comment: |
      As there is no unique information available from the dependency pydactyl,
      the server host is used to identify that the same service is already configured.

  # Silver
  action-exceptions:
    status: exempt
    comment: Integration doesn't provide any service actions.
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: Integration doesn't support any configuration parameters.
  docs-installation-parameters: todo
  entity-unavailable:
    status: done
    comment: Handled by coordinator.
  integration-owner: done
  log-when-unavailable:
    status: done
    comment: Handled by coordinator.
  parallel-updates: done
  reauthentication-flow: todo
  test-coverage: todo

  # Gold
  devices: done
  diagnostics: todo
  discovery:
    status: exempt
    comment: No discovery possible.
  discovery-update-info:
    status: exempt
    comment: |
      No discovery possible. Users can use the (local or public) hostname instead of an IP address,
      if static IP addresses cannot be configured.
  docs-data-update: todo
  docs-examples: todo
  docs-known-limitations: todo
  docs-supported-devices: todo
  docs-supported-functions: todo
  docs-troubleshooting: todo
  docs-use-cases: todo
  dynamic-devices: todo
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: todo
  entity-translations: done
  exception-translations: todo
  icon-translations: todo
  reconfiguration-flow: todo
  repair-issues:
    status: exempt
    comment: No repair use-cases for this integration.
  stale-devices: todo

  # Platinum
  async-dependency: todo
  inject-websession:
    status: exempt
    comment: Integration isn't making any HTTP requests.
  strict-typing: todo
